ExceptionUtils (Grails 6.0.0)

Package: org.grails.exceptions

## [Groovy] Class ExceptionUtils

- org.grails.exceptions.ExceptionUtils

-     @groovy.transform.CompileStatic
      class ExceptionUtils
      extends java.lang.Object

  Utility methods for dealing with exception

  Since:
    2.4
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `EXCEPTION_ATTRIBUTE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExceptionUtils ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static int` | `extractLineNumber(org.codehaus.groovy.control.CompilationFailedException e)`
    `` | `static java.lang.RuntimeException` | `getFirstRuntimeException(java.lang.Throwable e)`
    `` | `static java.lang.Throwable` | `getRootCause(java.lang.Throwable ex)` Obtains the root cause of the given exception

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String EXCEPTION_ATTRIBUTE

  - ### Constructor Detail

    - #### ExceptionUtils()

  - ### Method Detail

    - #### static int extractLineNumber(org.codehaus.groovy.control.CompilationFailedException e)

    - #### static java.lang.RuntimeException getFirstRuntimeException(java.lang.Throwable e)

    - #### static java.lang.Throwable getRootCause(java.lang.Throwable ex)

      Obtains the root cause of the given exception

      Parameters:
        `ex` - The exception
      Returns:
        The root cause